For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTBulk delete records
      • GETList records
      • POSTCreate record
      • GETDiscover record schema
      • GETGet field values
      • POSTPreview record filter
      • GETGet record details
      • PUTUpdate record
      • DELDelete record
      • GETGet record step results
      • GETGet record costs
      • GETGet record results
      • DELDelete record result
      • POSTBulk edit records
      • POSTUpload CSV records
Dashboard
LogoLogo
Runtype APIRecords

Bulk edit records

POST
/v1/records/bulk-edit
POST
/v1/records/bulk-edit
$curl -X POST https://api.runtype.com/v1/records/bulk-edit \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": [
3 {
4 "id": "rec_8f3a2b7c9d1e4f6a",
5 "before": {},
6 "after": {}
7 }
8 ],
9 "recordIds": [
10 "rec_8f3a2b7c9d1e4f6a"
11 ]
12}
Bulk update or delete metadata fields on multiple records.
Was this page helpful?
Previous

Upload CSV records

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
recordIdslist of stringsOptional
conditionslist of objectsOptionalDefaults to []
recordFilterobjectOptional
updatesmap from strings to anyOptionalDefaults to {}
deleteFieldslist of stringsOptionalDefaults to []
dryRunbooleanOptionalDefaults to false
applyToAllbooleanOptionalDefaults to false

Response

Bulk edit result with before/after diffs

datalist of objects
recordIdslist of strings

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error